io.vertx.ext.auth.ldap

## Class LdapAuthenticationOptions

- java.lang.Object
- - io.vertx.ext.auth.ldap.LdapAuthenticationOptions

-     public class LdapAuthenticationOptions
      extends Object

  Ldap auth configuration options
  Author:
    Stephane Bastian

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAuthenticationOptions()`
    `LdapAuthenticationOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthenticationMechanism()`
    `String` | `getAuthenticationQuery()`
    `String` | `getReferral()`
    `String` | `getUrl()`
    `LdapAuthenticationOptions` | `setAuthenticationMechanism(String authenticationMechanism)` sets the authentication mechanism.
    `LdapAuthenticationOptions` | `setAuthenticationQuery(String authenticationQuery)` Set the query to use to authenticate a user.
    `LdapAuthenticationOptions` | `setReferral(String referral)` Set the referral property.
    `LdapAuthenticationOptions` | `setUrl(String url)` Set the url to the LDAP server.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapAuthenticationOptions

          public LdapAuthenticationOptions()

    - #### LdapAuthenticationOptions

          public LdapAuthenticationOptions(JsonObject json)

  - ### Method Detail

    - #### getAuthenticationMechanism

          public String getAuthenticationMechanism()

    - #### getReferral

          public String getReferral()

    - #### getUrl

          public String getUrl()

    - #### getAuthenticationQuery

          public String getAuthenticationQuery()

    - #### setAuthenticationMechanism

          public LdapAuthenticationOptions setAuthenticationMechanism(String authenticationMechanism)

      sets the authentication mechanism. default to 'simple' if not set
      Parameters:
        `authenticationMechanism` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReferral

          public LdapAuthenticationOptions setReferral(String referral)

      Set the referral property. Default to 'follow' if not set
      Parameters:
        `referral` - the referral
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUrl

          public LdapAuthenticationOptions setUrl(String url)

      Set the url to the LDAP server. The url must start with `ldap://` and a port must be specified.
      Parameters:
        `url` - the url to the server
      Returns:
        a reference to this, so the API can be used fluently

    - #### setAuthenticationQuery

          public LdapAuthenticationOptions setAuthenticationQuery(String authenticationQuery)

      Set the query to use to authenticate a user. This is used to determine the actual lookup to use when looking up a user with a particular id. An example is `uid={0},ou=users,dc=foo,dc=com` - Note that the element `{0}` is substituted with the user id to create the actual lookup.
      Parameters:
        `authenticationQuery` -
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2025 Eclipse. All rights reserved.